com.trendmicro.ds.platform.rest.api

## Interface ISyslogConfigurationAPI

-     @Path(value="/syslog-configurations")
       @Produces(value="application/json")
       @Consumes(value="application/json")
      public interface ISyslogConfigurationAPI

  Management API for syslog configurations.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `CreateSyslogConfigurationResponse` | `createSyslogConfiguration(java.lang.String sessionID, CreateSyslogConfigurationRequest request)` Create a syslog configuration.
    `void` | `deleteSyslogConfiguration(java.lang.String sessionID, int syslogConfigurationID)` Delete a syslog configuration from the Deep Security Manager.
    `DescribeSyslogConfigurationResponse` | `describeSyslogConfiguration(java.lang.String sessionID, int syslogConfigurationID)` Get syslog configuration details.
    `ListSyslogConfigurationsResponse` | `listSyslogConfigurations(java.lang.String sessionID, java.lang.Integer syslogConfigurationID, java.lang.String syslogConfigurationIDOp, java.lang.Integer maxItems)` List syslog configurations.
    `ModifySyslogConfigurationResponse` | `modifySyslogConfiguration(java.lang.String sessionID, int syslogConfigurationID, ModifySyslogConfigurationRequest request)` Modify syslog configuration.

- - ### Method Detail

    - #### createSyslogConfiguration

          @POST
          CreateSyslogConfigurationResponse createSyslogConfiguration(@CookieParam(value="sID")
                                                                            java.lang.String sessionID,
                                                                            CreateSyslogConfigurationRequest request)
                                                                     throws java.lang.Exception

      Create a syslog configuration.
      Parameters:
        `sessionID` - a session ID returned by the Authentication API.
        `request` - the syslog configuration details.
      Returns:
        the created syslog configuration.
      Throws:
        `java.lang.Exception`

    - #### listSyslogConfigurations

          @GET
          ListSyslogConfigurationsResponse listSyslogConfigurations(@CookieParam(value="sID")
                                                                         java.lang.String sessionID,
                                                                         @QueryParam(value="syslogConfigurationID")
                                                                         java.lang.Integer syslogConfigurationID,
                                                                         @QueryParam(value="syslogConfigurationIDOp")
                                                                         java.lang.String syslogConfigurationIDOp,
                                                                         @QueryParam(value="maxItems")
                                                                         java.lang.Integer maxItems)
                                                                  throws java.lang.Exception

      List syslog configurations.
      Parameters:
        `sessionID` - a session ID returned by the Authentication API.
        `syslogConfigurationID` - (optional) used to define the starting point for the query. Combine with `syslogConfigurationIDOp` to page through results.
        `syslogConfigurationIDOp` - (optional, required if `syslogConfigurationID` is specified) Currently supported operations include gt(greater than), ge(greater than or equal to), eq(equal to), lt(less than), and le(less than or equal to).
        `maxItems` - (optional) the number of items to retrieve. The maximum value for this parameter is controlled by the "Maximum number of items to retrieve from database" setting on the administrator account, which defaults to 5000.
      Returns:
        a list of syslog configurations.
      Throws:
        `java.lang.Exception`

    - #### describeSyslogConfiguration

          @GET
           @Path(value="{syslogConfigurationID}")
          DescribeSyslogConfigurationResponse describeSyslogConfiguration(@CookieParam(value="sID")
                                                                                                                       java.lang.String sessionID,
                                                                                                                       @PathParam(value="syslogConfigurationID")
                                                                                                                       int syslogConfigurationID)
                                                                                                                throws java.lang.Exception

      Get syslog configuration details.
      Parameters:
        `sessionID` - a session ID returned by the Authentication API.
        `syslogConfigurationID` - the syslog configuration ID.
      Returns:
        syslog configuration details.
      Throws:
        `java.lang.Exception`

    - #### modifySyslogConfiguration

          @POST
           @Path(value="{syslogConfigurationID}")
          ModifySyslogConfigurationResponse modifySyslogConfiguration(@CookieParam(value="sID")
                                                                                                                    java.lang.String sessionID,
                                                                                                                    @PathParam(value="syslogConfigurationID")
                                                                                                                    int syslogConfigurationID,
                                                                                                                    ModifySyslogConfigurationRequest request)
                                                                                                             throws java.lang.Exception

      Modify syslog configuration.
      Parameters:
        `sessionID` - a session ID returned by the Authentication API.
        `syslogConfigurationID` - the syslog configuration ID.
        `request` - the syslog configuration details.
      Returns:
        the modified syslog configuration.
      Throws:
        `java.lang.Exception`

    - #### deleteSyslogConfiguration

          @DELETE
           @Path(value="{syslogConfigurationID}")
          void deleteSyslogConfiguration(@CookieParam(value="sID")
                                                                                         java.lang.String sessionID,
                                                                                         @PathParam(value="syslogConfigurationID")
                                                                                         int syslogConfigurationID)
                                                                                  throws java.lang.Exception

      Delete a syslog configuration from the Deep Security Manager.
      Parameters:
        `sessionID` - a session ID returned by the Authentication API.
        `syslogConfigurationID` - the syslog configuration ID.
      Throws:
        `java.lang.Exception`

Copyright © 2017 Trend Micro Inc. All Rights Reserved.